import { BaseField } from '../../BaseField';
export declare class ReferenceField extends BaseField {
  static type: string;
  static decode(json: any): ReferenceField;
  titleField: string;
  imageField: string;
  otherCollection: string;
  fields: BaseField[];
  isSingle: boolean;
  constructor(id: string, title: string, titleField: string, imageField: string, otherCollection: string, fields: BaseField[], isSingle?: boolean);
  showPreview(): BaseField;
  getDisplayValue(value: any): any;
}
